package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.payment;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

@Schema(description = "管理后台 - 工厂明细数据")
@Data
public class FactoryDetailVO {

    @Schema(description = "工厂编号")
    private Long deptId;

    @Schema(description = "工厂名称")
    private String factoryName;

    @Schema(description = "金额")
    private BigDecimal money;
}
