package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.salary;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

@Schema(description = "管理后台 - 薪资付款申请创建 Request VO")
@Data
public class SalarySubjectItemsVO {

    @Schema(description = "薪资主体编号")
    private Integer salarySubjectId;

    @Schema(description = "金额")
    private BigDecimal amount;
}
