package cn.iocoder.yudao.module.crm.controller.admin.userlivetree.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - crm用户结构树 Response VO")
@Data
@ExcelIgnoreUnannotated
public class UserLiveTreeRespVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "2907")
    @ExcelProperty("主键")
    private Long id;

    @Schema(description = "用户id", example = "4341")
    @ExcelProperty("用户id")
    private Long userId;

    @Schema(description = "上级用户id", example = "6431")
    @ExcelProperty("上级用户id")
    private Long pid;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}