package cn.iocoder.yudao.module.crm.controller.admin.userlivetree.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;

@Schema(description = "管理后台 - crm用户结构树新增/修改 Request VO")
@Data
public class UserLiveTreeSaveReqVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "2907")
    private Long id;

    @Schema(description = "用户id", example = "4341")
    private Long userId;

    @Schema(description = "上级用户id", example = "6431")
    private Long pid;

}