package cn.iocoder.yudao.module.infra.controller.app.file.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.constraints.NotEmpty;

/**
 * MinIO 多文件上传请求 VO
 *
 * @author AI Assistant
 */
@Schema(description = "用户 App - MinIO 多文件上传请求")
@Data
public class MinioMultiUploadReqVO {

    @Schema(description = "文件数组", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotEmpty(message = "文件不能为空")
    private MultipartFile[] files;

} 