package cn.iocoder.yudao.module.system.controller.admin.rental.vo.rentaldepositrecord;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

@Schema(description = "管理后台 - 押金金额 Request VO")
@Data
public class RentalDepositAmountReqVO {

    @Schema(description = "已收金额")
    private BigDecimal receivedAmount;

    @Schema(description = "退款金额")
    private BigDecimal refundAmount;
}
