package cn.iocoder.yudao.module.system.dal.dataobject.packagingtoolstable;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 木托绑带资产 （excel 临时表） DO
 *
 * @author 艾楷
 */
@TableName("zc_packaging_tools_table")
@KeySequence("zc_packaging_tools_table_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PackagingToolsTableDO extends BaseDO {

    /**
     * id
     */
    @TableId
    private Long id;
    /**
     * 名称
     */
    private String name;
    /**
     * 规格
     */
    private String sku;
    /**
     * 单位
     */
    private String unit;
    /**
     * 总数
     */
    private Integer totalNum;
    /**
     * 工厂名称
     */
    private String factoryName;
    /**
     * 备注
     */
    private String remake;

}