package cn.iocoder.yudao.module.smartfactory.controller.admin.handlinggroupamountspecifications.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class SpecificationDetailVO {
    @Schema(description = "工厂搬运规格id", example = "23178")
    private Long handlingSpecificationsId;

    @Schema(description = "规格名称", example = "标准规格")
    private String handlingSpecificationsName;

    @Schema(description = "数量", example = "23178")
    private Integer totalCount;

    @Schema(description = "金额", example = "23178")
    private BigDecimal amount;

    public SpecificationDetailVO() {
    }

    public SpecificationDetailVO(Long handlingSpecificationsId, String handlingSpecificationsName, Integer totalCount, BigDecimal amount) {
        this.handlingSpecificationsId = handlingSpecificationsId;
        this.handlingSpecificationsName = handlingSpecificationsName;
        this.totalCount = totalCount;
        this.amount = amount;
    }
}
