package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.workorder;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * BPM OA 工单跟踪信息
 *
 * @author 系统
 */
@Schema(description = "BPM OA 工单跟踪信息")
@Data
public class BpmOAWorkOrderTrackInfo {

    @Schema(description = "跟踪ID")
    private String trackId;

    @Schema(description = "操作人ID")
    private Long operatorId;

    @Schema(description = "操作人姓名")
    private String operatorName;

    @Schema(description = "操作内容")
    private String content;

    @Schema(description = "操作时间")
    private String trackTime;

}
