package cn.iocoder.yudao.module.hrm.api.crmcontract.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class CrmContractProductSettlementDTO {
    @Schema(description = "crm申请用户id")
    private Long userId;

    @Schema(description = "合同编号")
    private Long contractId;

    @Schema(description = "产品编号")
    private Long productId;

    @Schema(description = "产品单价")
    private BigDecimal price;

    @Schema(description = "数量")
    private Integer nums;

    @Schema(description = "渠道商转介数量")
    private Integer channelNums;

    @Schema(description = "折扣")
    private BigDecimal discount;

    @Schema(description = "小计")
    private BigDecimal subtotal;

    @Schema(description = "备注")
    private String remarks;
}
