package cn.iocoder.yudao.module.crm.controller.admin.crmrecord.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 跟进统计 Response VO")
@Data
public class RecordStatisticsRespVO {

    @Schema(description = "跟进人")
    private String creator;

    @Schema(description = "跟进总数量")
    private Integer count;

    @Schema(description = "客户跟进数量")
    private Integer customerCount;

    @Schema(description = "商机跟进数量")
    private Integer businessCount;

    @Schema(description = "线索跟进数量")
    private Integer cluesCount;
}
