package cn.iocoder.yudao.module.crm.controller.admin.salesperformanceassessment.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 绩效考核设置 Response VO")
@Data
@ExcelIgnoreUnannotated
public class SalesPerformanceAssessmentRespVO {

    @Schema(description = "id", requiredMode = Schema.RequiredMode.REQUIRED, example = "3321")
    @ExcelProperty("id")
    private Long id;

    @Schema(description = "计算表达式 例如 10<=n&&n<=20")
    @ExcelProperty("计算表达式 例如 10<=n&&n<=20")
    private String calculationExpression;

    @Schema(description = "核发比例%")
    @ExcelProperty("核发比例%")
    private BigDecimal proportion;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}