package cn.iocoder.yudao.module.system.api.workovertime.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Data
public class WorkOvertimeMoreRuleExtApiVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "9017")
    private Long id;

    @Schema(description = "加班更多规则id", example = "8676")
    private Long moreRuleId;

    @Schema(description = "类型 1风险预警 2最大加班时间", example = "2")
    private Integer type;

    @Schema(description = "日期类型 1每天 2每周 3每月", example = "1")
    private Integer dayType;

    @Schema(description = "小时阀值累计超过n小时")
    private Integer threshold;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    private LocalDateTime createTime;

}
