package cn.iocoder.yudao.module.system.controller.admin.linefixedassetstemporarytable.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;

@Schema(description = "管理后台 - 打包线固定资产（excel 临时表）新增/修改 Request VO")
@Data
public class LineFixedAssetsTemporaryTableSaveReqVO {

    @Schema(description = "id", requiredMode = Schema.RequiredMode.REQUIRED, example = "25128")
    private Long id;

    @Schema(description = "打包线编号")
    private String lineNo;

    @Schema(description = "规格")
    private String sku;

    @Schema(description = "名称", example = "王五")
    private String name;

    @Schema(description = "型号")
    private String modelNo;

    @Schema(description = "厂商")
    private String manufacturer;

    @Schema(description = "单位")
    private String unit;

    @Schema(description = "数量")
    private String num;

    @Schema(description = "铭牌日期")
    private String nameplateDate;

    @Schema(description = "使用日期")
    private String useDate;

    @Schema(description = "状态", example = "2")
    private String status;

    @Schema(description = "工厂名称", example = "李四")
    private String factoryName;

    @Schema(description = "备注", example = "你说的对")
    private String remark;

}