package cn.iocoder.yudao.module.system.controller.admin.user.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
public class UserDTO {
    @Schema(description = "用户ids", example = "1")
    private List<Long> userIds;
    @Schema(description = "部门ids", example = "1")
    private List<Long> deptIds;
    @Schema(description = "考勤组ids")
    private List<Long> groupIds;

    @Schema(description = "状态（0正常 1停用）不传则全部", example = "1")
    private Integer status = 0;
    @Schema(description = "用户类型 1：公司用户 2：工厂用户 不传则全部 ", example = "1")
    private Integer userType = 1;
}
